package com.fs.qw.service;


import com.fs.qw.domain.QwUser;
import com.fs.qw.vo.QwUserVO;


import java.util.List;

/**
 * 企微功能账号管理Service接口
 *
 * @author fs
 * @date 2023-08-23
 */
public interface IQwUserService
{
    /**
     * 查询企微账号信息
     *
     * @param userId 企微账号信息ID
     * @return 企微账号信息
     */
    public QwUser selectQwUserById(Long userId);

    /**
     * 查询企微账号信息列表
     *
     * @param qwUser 企微账号信息
     * @return 企微账号信息集合
     */
    public List<QwUser> selectQwUserList(QwUser qwUser);

    /**
     * 新增企微账号信息
     *
     * @param qwUser 企微账号信息
     * @return 结果
     */
    public int insertQwUser(QwUser qwUser);

    /**
     * 修改企微账号信息
     *
     * @param qwUser 企微账号信息
     * @return 结果
     */
    public int updateQwUser(QwUser qwUser);

    /**
     * 批量删除企微账号信息
     *
     * @param userIds 需要删除的企微账号信息ID
     * @return 结果
     */
    public int deleteQwUserByIds(Long[] userIds);

    /**
     * 删除企微账号信息信息
     *
     * @param userId 企微账号信息ID
     * @return 结果
     */
    public int deleteQwUserById(Long userId);

    int selectBangDingDeviceId(String deviceId);

    QwUserVO selectQwUserByDeviceId(String deviceId);




}
